package de.geodbs;
import java.sql.*;		// JDBC-Klassen

import static de.geodbs.ConnectionParametersPG.*;

import java.io.FileOutputStream;


public class PGRasterToFile {

public static void main (String[] args) {
	// Verbindung zur Datenbank aufbauen
	try (Connection db = DriverManager.getConnection(url, user, pw);
		Statement query = db.createStatement()) {
		// Datensatz anfragen
		ResultSet res = query.executeQuery("SELECT ST_AsTIFF(georaster) FROM GeoRasterkarten WHERE quelle ='ortsnetz-border'");
		// Daten speichern
		if (res.next()) {
			FileOutputStream f = new FileOutputStream("ortsnetz-border.tiff");
			f.write( res.getBytes(1) );
			f.close();
		}
		res.close();
	}
	// Fehler behandeln
	catch (Exception ex) {
		System.err.println("Fehler: " + ex);
		ex.printStackTrace();
	}
}
}
